System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Drawing.Brush

The color gradient is a smooth shading of colors from the center point of the path to the outside boundary edge of the path. Blend factors, positions, and style affect where the gradient starts and ends, and how fast it changes shade.

Path gradient brushes do not obey the property of the object used to do the drawing. Areas filled using a object are rendered the same way (aliased) regardless of the smoothing mode.

Encapsulates a object that fills the interior of a object with a gradient. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class with the specified path.

  The that defines the area filled by this .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified points.

  An array of structures that represents the points that make up the vertices of the path.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified points.

  An array of structures that represents the points that make up the vertices of the path.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified points and wrap mode.

  An array of structures that represents the points that make up the vertices of the path.
  A that specifies how fills drawn with this are tiled.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified points and wrap mode.

  An array of structures that represents the points that make up the vertices of the path.
  A that specifies how fills drawn with this are tiled.
  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.Drawing2D.Blend To be added: an object of type 'Blend'

  A contains corresponding arrays of blend factors and positions. The blend factors specify the percentages of the starting color and ending color to use at the corresponding position. The positions are given as a percentage of distance along the gradient path.

  Gets or sets a that specifies positions and factors that define a custom falloff for the gradient.

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.Color To be added: an object of type 'Drawing.Color' To be added

  Gets or sets the color at the center of the path gradient.

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.PointF To be added: an object of type 'Drawing.PointF' To be added

  Gets or sets the center point of the path gradient.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object To be added

  Creates an exact copy of this .

  The this method creates, cast as an object.

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.PointF To be added: an object of type 'Drawing.PointF' To be added

  Gets or sets the focus point for the gradient falloff.

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.Drawing2D.ColorBlend To be added: an object of type 'ColorBlend'

  A contains corresponding arrays of colors and positions. The positions are values from 0 through 1 that specify the percentage of the distance along the gradient path where the corresponding color is located.

  Gets or sets a that defines a multicolor linear gradient.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Updates the brush's transformation matrix with the product of brush's transformation matrix multiplied by another matrix.

  The that will be multiplied by the brush's current transformation matrix. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Updates the brush's transformation matrix with the product of the brush's transformation matrix multiplied by another matrix.

  The that will be multiplied by the brush's current transformation matrix. A that specifies in which order to multiply the two matrices. 1.0.5000.0 2.0.0.0
- Property
  System.Drawing.RectangleF To be added: an object of type 'Drawing.RectangleF' To be added

  Gets a bounding rectangle for this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added

  Resets the property to identity.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Rotates the local geometric transform by the specified amount. This method prepends the rotation to the transform.

  The angle (extent) of rotation. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Rotates the local geometric transform by the specified amount in the specified order.

  The angle (extent) of rotation. A that specifies whether to append or prepend the rotation matrix. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Scales the local geometric transform by the specified amounts. This method prepends the scaling matrix to the transform.

  The transform scale factor in the x-axis direction. The transform scale factor in the y-axis direction. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added

  Scales the local geometric transform by the specified amounts in the specified order.

  The transform scale factor in the x-axis direction. The transform scale factor in the y-axis direction. A that specifies whether to append or prepend the scaling matrix. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  If there is more than one color in the array, the first color in the array is used for the ending color. The colors specified in this array are used for discrete points on the brush's boundary path.

  Creates a gradient with a center color and a linear falloff to one surrounding color.

  A value from 0 through 1 that specifies where, along any radial from the center of the path to the path's boundary, the center color will be at its highest intensity. A value of 1 (the default) places the highest intensity at the center of the path. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  If there is more than one color in the array, the first color in the array is used for the ending color. The colors specified in this array are colors used for discrete points on the brush's boundary path.

  By default, as you move from the boundary of a path gradient to the center point, the color changes gradually from the boundary color to the center color. You can customize the positioning and blending of the boundary and center colors by calling this method.

  Creates a gradient with a center color and a linear falloff to each surrounding color.

  A value from 0 through 1 that specifies where, along any radial from the center of the path to the path's boundary, the center color will be at its highest intensity. A value of 1 (the default) places the highest intensity at the center of the path. A value from 0 through 1 that specifies the maximum intensity of the center color that gets blended with the boundary color. A value of 1 causes the highest possible intensity of the center color, and it is the default value. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  If there is more than one color in the array, the first color in the array is used for the ending color. The colors specified in this array are colors used for discrete points on the brush's boundary path.

  By default, as you move from the boundary of a path gradient to the center point, the color changes gradually from the boundary color to the center color. You can customize the positioning and blending of the boundary and center colors by calling this method.

  Creates a gradient brush that changes color starting from the center of the path outward to the path's boundary. The transition from one color to another is based on a bell-shaped curve.

  A value from 0 through 1 that specifies where, along any radial from the center of the path to the path's boundary, the center color will be at its highest intensity. A value of 1 (the default) places the highest intensity at the center of the path. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  If there is more than one color in the array, the first color in the array is used for the ending color. The colors specified in this array are colors used for discrete points on the brush's boundary path.

  By default, as you move from the boundary of a path gradient to the center point, the color changes gradually from the boundary color to the center color. You can customize the positioning and blending of the boundary and center colors by calling this method.

  Creates a gradient brush that changes color starting from the center of the path outward to the path's boundary. The transition from one color to another is based on a bell-shaped curve.

  A value from 0 through 1 that specifies where, along any radial from the center of the path to the path's boundary, the center color will be at its highest intensity. A value of 1 (the default) places the highest intensity at the center of the path. A value from 0 through 1 that specifies the maximum intensity of the center color that gets blended with the boundary color. A value of 1 causes the highest possible intensity of the center color, and it is the default value. 1.0.5000.0 2.0.0.0
- Property
  System.Drawing.Color[] To be added: an object of type 'Drawing.Color []'

  Each in the array corresponds to a point in the path.

  Gets or sets an array of colors that correspond to the points in the path this fills.

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.Drawing2D.Matrix To be added: an object of type 'Matrix'

  A geometric transform can be used to translate, scale, rotate, or skew the gradient fill. Because the matrix returned and by the property is a copy of the brush's geometric transform, you should dispose of the matrix when you no longer need it.

  Gets or sets a copy of the that defines a local geometric transform for this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` To be added

  Applies the specified translation to the local geometric transform. This method prepends the translation to the transform.

  The value of the translation in x. The value of the translation in y. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added

  Applies the specified translation to the local geometric transform in the specified order.

  The value of the translation in x. The value of the translation in y. The order (prepend or append) in which to apply the translation. 1.0.5000.0 2.0.0.0
- Property
  System.Drawing.Drawing2D.WrapMode To be added: an object of type 'WrapMode' To be added

  Gets or sets a that indicates the wrap mode for this .

  1.0.5000.0
  2.0.0.0